diff -Nurd olsrd-0.6.4-orig/Makefile olsrd-0.6.4/Makefile
--- olsrd-0.6.4-orig/Makefile	2012-10-30 14:06:22.000000000 -0500
+++ olsrd-0.6.4/Makefile	2016-03-24 22:30:49.000000000 -0500
@@ -109,9 +109,9 @@
 uninstall: uninstall_olsrd
 
 install_bin:
-		mkdir -p $(SBINDIR)
-		install -m 755 $(EXENAME) $(SBINDIR)
-		$(STRIP) $(SBINDIR)/$(EXENAME)
+		mkdir -p $(DESTDIRFINK)$(SBINDIR)
+		install -m 755 $(EXENAME) $(DESTDIRFINK)$(SBINDIR)
+		$(STRIP) $(DESTDIRFINK)$(SBINDIR)/$(EXENAME)
 
 uninstall_bin:
 		rm -f $(SBINDIR)/$(EXENAME)
@@ -127,22 +127,17 @@
 		@echo per default.
 		@echo can be found at files/olsrd.conf.default.lq
 		@echo ==========================================================
-		mkdir -p $(ETCDIR)
-		@if [ -e $(CFGFILE) ]; then \
-			cp -f files/olsrd.conf.default.lq $(CFGFILE).new; \
-			echo "Configuration file was saved as $(CFGFILE).new"; \
-		else \
-			cp -f files/olsrd.conf.default.lq $(CFGFILE); \
-		fi
+		mkdir -p $(DESTDIRFINK)$(ETCDIR)
+		cp -i files/olsrd.conf.fink $(DESTDIRFINK)$(CFGFILE)
 		@echo -------------------------------------------
 		@echo Edit $(CFGFILE) before running olsrd!!
 		@echo -------------------------------------------
 		@echo Installing manpages $(EXENAME)\(8\) and $(CFGNAME)\(5\)
 ifneq ($(MANDIR),)
-		mkdir -p $(MANDIR)/man8/
-		cp files/olsrd.8.gz $(MANDIR)/man8/$(EXENAME).8.gz
-		mkdir -p $(MANDIR)/man5/
-		cp files/olsrd.conf.5.gz $(MANDIR)/man5/$(CFGNAME).5.gz
+		mkdir -p $(DESTDIRFINK)$(MANDIR)/man8/
+		cp files/olsrd.8.gz $(DESTDIRFINK)$(MANDIR)/man8/$(EXENAME).8.gz
+		mkdir -p $(DESTDIRFINK)$(MANDIR)/man5/
+		cp files/olsrd.conf.5.gz $(DESTDIRFINK)$(MANDIR)/man5/$(CFGNAME).5.gz
 endif
 
 uninstall_olsrd:	uninstall_bin
diff -Nurd olsrd-0.6.4-orig/Makefile.inc olsrd-0.6.4/Makefile.inc
--- olsrd-0.6.4-orig/Makefile.inc	2012-10-30 13:59:44.000000000 -0500
+++ olsrd-0.6.4/Makefile.inc	2016-03-24 22:36:34.000000000 -0500
@@ -49,8 +49,8 @@
 # target directories and names
 DESTDIR  ?=
 ETCDIR   ?= $(DESTDIR)/etc
-USRDIR   ?= $(DESTDIR)/usr
-INCLUDEDIR ?= $(DESTDIR)/usr/include
+USRDIR   ?= $(USRDIR)
+INCLUDEDIR ?= $(USRDIR)/include
 LIBDIR   ?= $(USRDIR)/lib
 SBINDIR  ?= $(USRDIR)/sbin
 SHAREDIR ?= $(USRDIR)/share
@@ -120,7 +120,6 @@
 # WARNINGS +=	-Werror
 WARNINGS +=	-finline-functions-called-once
 WARNINGS +=	-funit-at-a-time
-WARNINGS +=	-fearly-inlining
 ifeq ($(DEBUG),0)
 WARNINGS +=	-fomit-frame-pointer
 endif
diff -Nurd olsrd-0.6.4-orig/files/olsrd.conf.fink olsrd-0.6.4/files/olsrd.conf.fink
--- olsrd-0.6.4-orig/files/olsrd.conf.fink	1969-12-31 18:00:00.000000000 -0600
+++ olsrd-0.6.4/files/olsrd.conf.fink	2016-03-24 21:54:02.000000000 -0500
@@ -0,0 +1,354 @@
+#
+# olsr.org OLSR daemon config file
+#
+# Lines starting with a # are discarded
+#
+# This file was shipped with olsrd 0.X.X
+#
+
+# This file is an example of a typical
+# configuration for a mostly static
+# network(regarding mobility) using
+# the LQ extention
+
+# Debug level(0-9)
+# If set to 0 the daemon runs in the background
+
+DebugLevel	0
+
+# IP version to use (4 or 6)
+
+IpVersion	4
+
+
+#RtTable 254
+
+# FIBMetric ("flat", "correct", or "approx")
+
+FIBMetric "flat"
+
+
+#LinkQualityAlgorithm    "etx_ff"
+LinkQualityAlgorithm    "etx_ff"
+
+
+# Clear the screen each time the internal state changes
+
+ClearScreen     no
+
+# HNA IPv4 routes
+# syntax: netaddr netmask
+# Example Internet gateway:
+# 0.0.0.0 0.0.0.0
+
+LoadPlugin "olsrd_httpinfo.so.0.1"
+{
+    # port number the httpinfo plugin will be listening, default 1978
+    PlParam     "port"   "8080"
+
+    # ip address that can access the plugin, use "0.0.0.0"
+    # to allow everyone
+    PlParam     "Host"   "127.0.0.1"
+#    PlParam     "Host"   "80.23.53.22"
+    
+    # networks that can access the plugin (ip/netmask)
+    # careful with 0.0.0.0/0, makes (ddos) attacks poss.
+    PlParam "Net" "172.29.0.0 255.255.0.0"
+#    PlParam     "Net"    "0.0.0.0 0.0.0.0"
+#    PlParam     "Net"    "104.0.0.0 255.255.0.0"
+#    PlParam     "Net"    "192.168.0.0 255.255.0.0"
+}
+
+LoadPlugin "olsrd_txtinfo.so.0.1"
+{
+    # the default port is 2006 but you can change it like this:
+    #PlParam     "port"   "8080"
+
+    # You can set a "accept" single address to allow to connect to
+    # txtinfo. If no address is specified, then localhost (127.0.0.1)
+    # is allowed by default.  txtinfo will only use the first "accept"
+    # parameter specified and will ignore the rest.
+
+    # to allow a specific host:
+    #PlParam      "accept" "172.29.44.23"
+    # if you set it to 0.0.0.0, it will accept all connections
+    #PlParam      "accept" "0.0.0.0"
+}
+
+#LoadPlugin "olsrd_tas.so.0.1"
+#{
+#        PlParam "address"       "0.0.0.0"
+#        PlParam "port"          "1979"
+#        PlParam "rootdir"       "/etc/tas"
+#        PlParam "workdir"       "/var/run/tas"
+#        PlParam "indexfile"     "index.html"
+##       PlParam "user"          "test"
+##       PlParam "password"      "test"
+#        PlParam "sesstime"      "600"
+#        PlParam "pubdir"        "pub"
+#        PlParam "quantum"       "30"
+#        PlParam "messtime"      "60"
+#        PlParam "messlimit"     "50"
+#}
+
+
+Hna4
+{
+#   Internet gateway:
+#   0.0.0.0      0.0.0.0
+#   more entries can be added:
+#   192.168.1.0  255.255.255.0
+}
+
+# HNA IPv6 routes
+# syntax: netaddr prefix
+# Example Internet gateway:
+Hna6
+{
+#   Internet gateway:
+#   ::              0
+#   more entries can be added:
+#   fec0:2200:106:: 48
+}
+
+
+# Should olsrd keep on running even if there are
+# no interfaces available? This is a good idea
+# for a PCMCIA/USB hotswap environment.
+# "yes" OR "no"
+
+AllowNoInt	yes
+
+# TOS(type of service) value for
+# the IP header of control traffic.
+# If not set it will default to 16
+
+#TosValue	16
+
+# The fixed willingness to use(0-7)
+# If not set willingness will be calculated
+# dynamically based on battery/power status
+# if such information is available
+# The willingness should be lower for mobile devices
+
+#Willingness    	4
+
+# Allow processes like the GUI front-end
+# to connect to the daemon.
+
+#IpcConnect
+#{
+     # Determines how many simultaneously
+     # IPC connections that will be allowed
+     # Setting this to 0 disables IPC
+
+#     MaxConnections  0
+
+     # By default only 127.0.0.1 is allowed
+     # to connect. Here allowed hosts can
+     # be added
+
+#     Host            127.0.0.1
+     #Host            10.0.0.5
+
+     # You can also specify entire net-ranges 
+     # that are allowed to connect. Multiple
+     # entries are allowed
+
+     #Net             192.168.1.0 255.255.255.0     
+#}
+
+
+# Link quality level
+# 0 = do not use link quality
+# 1 = use link quality for MPR selection
+# 2 = use link quality for MPR selection and routing
+# Defaults to 0
+
+LinkQualityLevel	2
+
+# Link quality window size
+# Defaults to 10
+
+#LinkQualityWinSize	16
+
+# Polling rate in seconds(float). 
+# Default value 0.05 sec
+
+Pollrate	0.05
+
+# Interval to poll network interfaces for configuration 
+# changes. Defaults to 2.5 seconds
+
+NicChgsPollInt  3.0
+
+# TC redundancy
+# Specifies how much neighbor info should
+# be sent in TC messages
+# Possible values are:
+# 0 - only send MPR selectors
+# 1 - send MPR selectors and MPRs
+# 2 - send all neighbors
+#
+# defaults to 0
+
+TcRedundancy	2
+
+
+#
+# MPR coverage
+# Specifies how many MPRs a node should
+# try select to reach every 2 hop neighbor
+#
+# Can be set to any integer >0
+#
+# defaults to 1
+
+MprCoverage	3
+
+
+# Olsrd plugins to load
+# This must be the absolute path to the file
+# or the loader will use the following scheme:
+# - Try the paths in the LD_LIBRARY_PATH 
+#   environment variable.
+# - The list of libraries cached in /etc/ld.so.cache
+# - /lib, followed by /usr/lib
+
+# Example plugin entry with parameters:
+
+#LoadPlugin "olsrd_dyn_gw.so.0.3"
+#{
+    # Here parameters are set to be sent to the
+    # plugin. Theese are on the form "key" "value".
+    # Parameters ofcause, differs from plugin to plugin.
+    # Consult the documentation of your plugin for details.
+
+    # Example: dyn_gw params
+
+    # how often to check for Internet connectivity
+    # defaults to 5 secs
+#   PlParam     "Interval"   "40"
+    
+    # if one or more IPv4 addresses are given, do a ping on these in
+    # descending order to validate that there is not only an entry in
+    # routing table, but also a real internet connection. If any of
+    # these addresses could be pinged successfully, the test was
+    # succesful, i.e. if the ping on the 1st address was successful,the
+    # 2nd won't be pinged
+#   PlParam     "Ping"       "141.1.1.1"
+#   PlParam     "Ping"       "194.25.2.129"
+#}
+
+# Interfaces and their rules
+# Omitted options will be set to the
+# default values. Multiple interfaces
+# can be specified in the same block
+# and multiple blocks can be set.
+
+
+
+# !!CHANGE THE INTERFACE LABEL(s) TO MATCH YOUR INTERFACE(s)!!
+# eg. en1, wlan0, or eth1.  en0 and en1 should cover the vast majority of
+# computers running Mac OS X
+
+Interface "en0" "en1"
+{
+    # Olsrd can autodetect changes in NIC
+    # configurations(IP address changes etc.). 
+    # This is Enabled by default and the interval
+    # to poll for changes on is defined by 
+    # NicChgsPollInt.
+    # This polling can be disabled pr. NIC by setting
+    # AutoDetectChanges to no.
+
+    AutoDetectChanges            yes
+
+    # IPv4 broadcast address to use. The
+    # one usefull example would be 255.255.255.255
+    # If not defined the broadcastaddress
+    # every card is configured with is used
+
+    #Ip4Broadcast		255.255.255.255
+    #Ip4Broadcast		192.168.100.255
+
+    # IPv6 address scope to use.
+    # Must be 'site-local' or 'global'
+
+    # Ip6AddrType		site-local
+
+    # IPv6 multicast address to use when
+    # using site-local addresses.
+    # If not defined, ff05::15 is used
+
+    # Ip6MulticastSite		ff05::11
+
+    # IPv6 multicast address to use when
+    # using global addresses
+    # If not defined, ff0e::1 is used
+
+    # Ip6MulticastGlobal	ff0e::1
+
+
+    # Emission intervals.
+    # If not defined, RFC proposed values will
+    # be used in most cases.
+
+    # Hello interval in seconds(float)
+    HelloInterval    2.0
+
+    # HELLO validity time
+    HelloValidityTime	60.0
+
+    # TC interval in seconds(float)
+    TcInterval        5.0
+
+    # TC validity time
+    TcValidityTime	30.0
+
+    # MID interval in seconds(float)
+    MidInterval	50.0
+
+    # MID validity time
+    MidValidityTime	300.0
+
+    # HNA interval in seconds(float)
+    HnaInterval	5.0
+
+    # HNA validity time
+    HnaValidityTime 	30.0
+
+
+    # When multiple links exist between hosts
+    # the weight of interface is used to determine
+    # the link to use. Normally the weight is
+    # automatically calculated by olsrd based
+    # on the characteristics of the interface,
+    # but here you can specify a fixed value.
+    # Olsrd will choose links with the lowest value.
+    # Note:
+    # Interface weight is used only when LinkQualityLevel is 0.
+    # For any other value of LinkQualityLevel, the interface ETX
+    # value is used instead.
+    # Weight 0
+
+
+    # If a certain route should be preferred 
+    # or ignored by the mesh, the Link Quality 
+    # value of a node can be multiplied with a factor 
+    # entered here. In the example the route 
+    # using 192.168.0.1 would rather be ignored.
+    # A multiplier of 0.5 will result in a small
+    # (bad) LinkQuality value and a high (bad)
+    # ETX value.
+    # Note:
+    # Link quality multiplier is used only when
+    # LinkQualityLevel is > 0.
+
+    # LinkQualityMult 192.168.0.1 0.979
+
+    # This multiplier applies to all other nodes 
+    #LinkQualityMult default 0.999
+
+}
+
diff -Nurd olsrd-0.6.4-orig/make/Makefile.osx olsrd-0.6.4/make/Makefile.osx
--- olsrd-0.6.4-orig/make/Makefile.osx	2012-08-15 11:01:26.000000000 -0500
+++ olsrd-0.6.4/make/Makefile.osx	2016-03-24 22:15:36.000000000 -0500
@@ -7,7 +7,7 @@
 STRIP = \#
 
 DESTDIR ?=
-LIBDIR =	$(DESTDIR)/usr/lib
+LIBDIR =	$(DESTDIR)/lib
 
 SRCS +=		$(wildcard src/bsd/*.c src/unix/*.c)
 HDRS +=		$(wildcard src/bsd/*.h src/unix/*.h)
@@ -16,7 +16,7 @@
 
 PLUGIN_SONAME ?= $(PLUGIN_NAME)
 PLUGIN_FULLNAME ?= $(PLUGIN_NAME).so.$(PLUGIN_VER)
-INSTALL_LIB =	install -m 755 $(PLUGIN_FULLNAME) $(LIBDIR)/$(PLUGIN_FULLNAME)
+INSTALL_LIB =	install -m 755 $(PLUGIN_FULLNAME) $(DESTDIRFINK)$(LIBDIR)/$(PLUGIN_FULLNAME)
 UNINSTALL_LIB =	rm -f $(LIBDIR)/$(PLUGIN_FULLNAME)
 
 ifdef OLSRD_PLUGIN
diff -Nurd olsrd-0.6.4-orig/src/plugin_loader.c olsrd-0.6.4/src/plugin_loader.c
--- olsrd-0.6.4-orig/src/plugin_loader.c	2012-10-30 13:59:44.000000000 -0500
+++ olsrd-0.6.4/src/plugin_loader.c	2016-03-24 21:54:02.000000000 -0500
@@ -95,7 +95,8 @@
 
   OLSR_PRINTF(0, "---------- LOADING LIBRARY %s ----------\n", libname);
 
-#if defined TESTLIB_PATH && TESTLIB_PATH
+#ifdef __APPLE__
+  char path[256] = LIBDIR;
   strcat(path, libname);
   plugin->dlhandle = dlopen(path, RTLD_NOW);
 #else
